### Constructor

# Gdk.Texture.new_for_pixbuf

#### Declaration [src]

    GdkTexture*
    gdk_texture_new_for_pixbuf (
      GdkPixbuf* pixbuf
    )

#### Description [src]

Creates a new texture object representing the `GdkPixbuf`.

#### Parameters

`pixbuf` | `Gdkixbuf.Pixbuf`
| a `GdkPixbuf`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkTexture`
a new `GdkTexture`
Ownership of the data is transferred to the caller